<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StickerSyncRMRMessage extends \Google\Protobuf\Internal\Message
{
    


    private $filehash;
    


    protected $rmrSource = null;
    


    protected $requestTimestamp = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getFilehash()
    {
        return $this->filehash;
    }

    




    public function setFilehash($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::STRING);
        $this->filehash = $arr;

        return $this;
    }

    



    public function getRmrSource()
    {
        return isset($this->rmrSource) ? $this->rmrSource : '';
    }

    public function hasRmrSource()
    {
        return isset($this->rmrSource);
    }

    public function clearRmrSource()
    {
        unset($this->rmrSource);
    }

    




    public function setRmrSource($var)
    {
        GPBUtil::checkString($var, True);
        $this->rmrSource = $var;

        return $this;
    }

    



    public function getRequestTimestamp()
    {
        return isset($this->requestTimestamp) ? $this->requestTimestamp : 0;
    }

    public function hasRequestTimestamp()
    {
        return isset($this->requestTimestamp);
    }

    public function clearRequestTimestamp()
    {
        unset($this->requestTimestamp);
    }

    




    public function setRequestTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->requestTimestamp = $var;

        return $this;
    }

}

